aboutsummaryrefslogtreecommitdiff
path: root/bin/sls.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/sls.sh')
-rw-r--r--bin/sls.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/sls.sh b/bin/sls.sh
new file mode 100644
index 00000000..55c1dfc7
--- /dev/null
+++ b/bin/sls.sh
@@ -0,0 +1,19 @@
+# Print hostnames from ssh_config(5) files, defaulting to the usual paths
+
+# If we weren't given a file explicitly, we'll try to read both /etc/ssh_config
+# and ~/.ssh_config in that order if they exist
+if [ "$#" -eq 0 ] ; then
+ for cfg in /etc/ssh_config "$HOME"/.ssh/config ; do
+ [ -e "$cfg" ] || continue
+ set -- "$@" "$cfg"
+ done
+fi
+
+# If we still have no files to read, bail out and warn the user
+if [ "$#" -eq 0 ] ; then
+ printf >&2 'sls: ssh_config(5) paths not found, need argument\n'
+ exit 1
+fi
+
+# Otherwise, we can run slsf(1df) over the ones we did collect
+slsf -- "$@"